<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_announce extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('announce_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		// check announces
		$data = $this->announce_ad_model->get_all_announces();
		// var_dump($data[0]->enddate);
		foreach ($data as  $value) {
			$this->announce_ad_model->check_announce($value->enddate, $value->uId);
		}
		// end checking
		$data['rows']=$this->announce_ad_model->get_posts(10,$start);
		$this->load->library('pagination');
		$config['base_url'] = base_url().'admin/manage_announce/index/';
		$config['total_rows'] = $this->announce_ad_model->get_posts_count();
		$config['per_page'] = 10;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$this->load->view('admin/announce/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/announce/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();	
			$enddate = $this->input->post('enddate');
			$enddate = DateTime::createFromFormat('d/m/Y', $enddate);
		
			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'date'=>$_POST['date'],
					'time'=>$_POST['time'],
					'enddate'=> $enddate->getTimestamp(),
					'content'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"]
				);
				$this->announce_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_announce/');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);
		if(isset($_POST['edit_sbmt'])){
			
			$langs = $this->Combined_ad_model->view_lang();
			$enddate = $this->input->post('enddate');
			$enddate = DateTime::createFromFormat('d/m/Y', $enddate);
				
			foreach($langs as $lang){

			$data=array(
				'title'=>$_POST['title-'.$lang["lang"]],
				'date'=>$_POST['date'],
				'time'=>$_POST['time'],
				'enddate'=>$enddate->getTimestamp(),
				'content'=>$_POST['editor1-'.$lang["lang"]],
				'isactive'=>$_POST['isactive-'.$lang["lang"]],
				'lang' => $lang["langID"]
			);
			$this->announce_ad_model->update($uId,$lang['langID'],$data);

			}
			$this->announce_ad_model->check_announce($enddate->getTimestamp(),$uId);

			redirect(base_url().'admin/manage_announce');
		}

		$data['rows']=$this->announce_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/announce/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->announce_ad_model->delete($uId);
		redirect(base_url().'admin/manage_announce');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}