<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_entrant_news extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('entrants_news_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		$id = $this->session->userdata('entrant_news_cat');
		$data['rows']=$this->entrants_news_ad_model->get_posts_by_id($id,10,$start);
		$this->load->library('pagination');
		$config['base_url'] = base_url().'admin/manage_entrant_news/index/';
		$config['total_rows'] = $this->entrants_news_ad_model->get_posts_count();
		$config['per_page'] = 10;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$this->load->view('admin/entrant_news/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$type  = $this->session->userdata('entrant_news_cat');
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/entrant_news/add', $data);

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$_POST['link'],
					'type'=>$type,
					'date'=>$_POST['date'],
					'image'=>$_POST['ImagePath'],
					'person'=>$_POST['person-'.$lang["lang"]],
					'content'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"],
					'entrant_id' => $this->session->userdata('entrant_id')
				);
				$this->entrants_news_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_entrant_news/');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'title'=>$_POST['title-'.$lang["lang"]],
				'link'=>$_POST['link'],
				'date'=>$_POST['date'],
				'image'=>$_POST['ImagePath'],
				'person'=>$_POST['person-'.$lang["lang"]],
				'content'=>$_POST['editor1-'.$lang["lang"]],
				'isactive'=>$_POST['isactive-'.$lang["lang"]],
				'lang' => $lang["langID"],
				'entrant_id' => $this->session->userdata('entrant_id')
			);
			$this->news_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_entrant_news');
		}

		$data['rows']=$this->news_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/entrant_news/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->news_ad_model->delete($uId);
		redirect(base_url().'admin/manage_entrant_news');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}