<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Manage_foot_nav extends CI_Controller {

    function __construct() {
       parent::__construct();
       $this->load->model('foot_nav_ad_model');
       if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
    }

    public function index(){    
      $this->load->view('admin/foot_nav/manage');
    }

    public function get_json()
    {
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu');
       $root = $this->MPTtree->get_root();
       $this->db->select('descendants.id, descendants.footer_id, descendants.lft, descendants.rgt, descendants.title,descendants.title_eng, Count(foot_menu_content.id) as num_pages, depth');
       $this->MPTtree->AR_from_alldescendants_of($root['lft'],$root['rgt']);
       $this->db->join('foot_menu_content','descendants.id = foot_menu_content.cat_id', 'left outer');
       $this->db->group_by('descendants.id');
       $this->db->order_by('descendants.lft');
       $this->db->where('descendants.footer_id',$this->session->userdata('footer'));
       $query = $this->db->get();
       $rows = $query->result_array();
       echo json_encode($rows);
    }

    public function ajax_sort(){		
      $item = $this->input->post('item');	
      $moveto = $this->input->post('moveto');
      $type = $this->input->post('type');
      $this->load->model('MPTtree');
      $this->MPTtree->set_table('foot_menu'); 
      $node = $this->MPTtree->get_node_byid($item);
      $snode = $this->MPTtree->get_node_byid($moveto);       
      if ($type == "appendfirst" )
        $this->MPTtree->move_node_append($node['lft'], $snode['lft']);
      else
        $this->MPTtree->move_node_after($node['lft'], $snode['lft']);
    }
    
    public function ajax_addnew(){
      $newdata = array(
        "title" => $this->input->post('title'),
        "title_eng" => $this->input->post('title_eng'),
        'footer_id'=>$this->session->userdata('footer')
      );
      $this->load->model('MPTtree');
      $this->MPTtree->set_table('foot_menu'); 
      $content_id = $this->MPTtree->append_node_last(1, $newdata); 
      $content_id = $content_id[2];
      $this->MPTtree->init_foot_content($content_id);
      

    }

    public function ajax_edit(){
       $newdata=array(
        "title" => $this->input->post('title'),
        "title_eng" => $this->input->post('title_eng'),
        'footer_id'=>$this->session->userdata('footer')
       );
       $lft = $this->input->post('lft');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu'); 
       $this->MPTtree->update_node($lft, $newdata);
    }    

     public function ajax_addcustom(){
       $newdata=array(
        "title" => $this->input->post('title'),
        "title_eng" => $this->input->post('title_eng'),
        'footer_id'=>$this->session->userdata('footer')
       );
       $lft = $this->input->post('lft');
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu'); 
       $content_id = $this->MPTtree->append_node($lft, $newdata);
       // $this->load->model('foot_nav_ad_model');
      $this->foot_nav_ad_model->init_foot_content($content_id[2]);
    }    




    public function ajax_delete(){								
       $this->load->model('MPTtree');
       $this->MPTtree->set_table('foot_menu'); 
       $content_id = $this->MPTtree->delete_node($this->input->post('lft'));       
    }
}
