<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_institute_section extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('institutes_section_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){
		$sec_id = $this->session->userdata("institute_section_id");
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['rows']=$this->institutes_section_ad_model->get_posts($sec_id);
		$this->load->view('admin/institute_section/manage', $data);
	}
	
	
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function add(){
		$section_id  = $this->session->userdata("institute_section_id");
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_section/add', $data);
		$level = $this->institutes_section_ad_model->get_level();
		if($level[0]['sectionlevel']==NULL){
			$level = 1;
		}
		else{
			$level = $level[0]['sectionlevel']+1;
		}

		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$_POST['link-'.$lang["lang"]],
					'section_id'=> $section_id,
					'content'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"],
					'sectionlevel'=>$level,
					'institute_id' => $this->session->userdata('institute_id')
				);
				$this->institutes_section_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_institute_section/');
		}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);
		$section_id  = $this->session->userdata("institute_section_id");
		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$_POST['link-'.$lang["lang"]],
					'section_id'=> $section_id,
					'image'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"],
					'institute_id' => $this->session->userdata('institute_id')
				);
			$this->institutes_section_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_institute_section');
		}

		$data['rows']=$this->institutes_section_ad_model->get_post($uId,$section_id);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/institute_section/edit', $data);

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){
		$this->institutes_section_ad_model->sort_up($id);
		redirect(base_url().'admin/manage_institute_section');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->institutes_section_ad_model->sort_down($id);
		redirect(base_url().'admin/manage_institute_section');
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->institutes_section_ad_model->delete($uId);
		redirect(base_url().'admin/manage_institute_section');
	}


}