<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_news extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('news_ad_model','schools_ad_model','institutes_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		$this->load->library('pagination');

		$filter = $this->input->get();
		$id = $this->session->userdata('news_cat');
		if (empty($filter)) {
			$result = $this->news_ad_model->get_posts_by_id($id,100,$start);
			$data['rows']= $result['items'];
			$config['total_rows'] = $result['count'];
		} else {
			$result = $this->news_ad_model->get_news_by_place($id,100,$start, $filter['school_id'], $filter['institute_id']);
			$data['rows']= $result['items'];
			$config['total_rows'] = $result['count'];

			$config['suffix'] = '?school_id=' . $filter['school_id'] . '&institute_id=' . $filter['institute_id'];
			$config['first_url'] = base_url().'admin/manage_news/?school_id=' . $filter['school_id'] . '&institute_id=' . $filter['institute_id'];
		}
		$config['base_url'] = base_url().'admin/manage_news/index/';
		$config['per_page'] = 100;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;

		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$data['schools'] = $this->schools_ad_model->get_posts();
		$data['institutes'] = $this->institutes_ad_model->get_posts();
		$data['news_cat'] = $this->news_ad_model->get_news_cat();
		$this->load->view('admin/news/manage',$data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['schools'] = $this->schools_ad_model->get_posts();
		$data['institutes'] = $this->institutes_ad_model->get_posts();
		$this->load->view('admin/news/add', $data);

		$type  = $this->session->userdata('news_cat');
		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			$main_img = $_POST['main_img'];
			if(strlen($main_img) < 5){
				$main_img = "assets/img/nophoto.jpg";
			}else{
				$main_img = $_POST['main_img'];
			}

			foreach($langs as $lang){

				$school_id = $_POST['school_id'];
				if(empty($school_id)) {
					$school_ids = "0";
				} else {
					$school_ids = implode(", ", $school_id);
				}

				$institute_id = $_POST['institute_id'];
				if(empty($institute_id)) {
					$institute_ids = "0";
				} else {
					$institute_ids = implode(", ", $institute_id);
				}

				$data=array(
					'uid' =>$uId,
					'title'=>$_POST['title-'.$lang["lang"]],
					'type'=>$type,
					'isalbum'=>$_POST['isalbum'],
					'albumNameGeo'=>$_POST['albumNameGeo'],
					'albumNameEng'=>$_POST['albumNameEng'],
					'date'=>$_POST['date'],
					'time'=>$this->input->post('time'),
					'image'=>$_POST['ImagePath'],
					'main_img'=>$main_img,
					'content'=>$_POST['editor1-'.$lang["lang"]],
					'isactive'=>$_POST['isactive-'.$lang["lang"]],
					'lang' => $lang["langID"],
					'link' => $_POST['link'],
					'school_id'=> $school_ids,
					'institute_id'=>$institute_ids
				);
				$this->news_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_news/');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);

		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			$main_img = $_POST['main_img'];
			if(strlen($main_img) < 5){
				$main_img = "assets/img/nophoto.jpg";
			}else{
				$main_img = $_POST['main_img'];
			}

			foreach($langs as $lang){

			$school_id = $_POST['school_id'];
			if(empty($school_id)) {
				$school_ids = "0";
			} else {
				$school_ids = implode(", ", $school_id);
			}

			$institute_id = $_POST['institute_id'];
			if(empty($institute_id)) {
				$institute_ids = "0";
			} else {
				$institute_ids = implode(", ", $institute_id);
			}

			$data=array(
				'title'=>$_POST['title-'.$lang["lang"]],
				'isalbum'=>$_POST['isalbum'],
				'albumNameGeo'=>$_POST['albumNameGeo'],
				'albumNameEng'=>$_POST['albumNameEng'],
				'date'=>$_POST['date'],
				'image'=>$_POST['ImagePath'],
				'time'=>$this->input->post('time'),
				'main_img'=>$main_img,
				'content'=>$_POST['editor1-'.$lang["lang"]],
				'isactive'=>$_POST['isactive-'.$lang["lang"]],
				'lang' => $lang["langID"],
				'link' => $_POST['link'],
				'school_id'=> $school_ids,
				'institute_id'=>$institute_ids
			);
			$this->news_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_news');
		}

		$data['rows']=$this->news_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$data['schools'] = $this->schools_ad_model->get_posts();
		$data['institutes'] = $this->institutes_ad_model->get_posts();
		$this->load->view('admin/news/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->news_ad_model->delete($uId);
		redirect(base_url().'admin/manage_news');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	// function filter_by_place() {
	// 	$school_id = $this->input->get('school_id');
	// 	$uni_id = $this->input->get('institute_id');


	// }
}