<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Manage_pgallery extends CI_Controller{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct()
	{
		parent::__construct();
		$this->load->model(array('pgallery_ad_model','Combined_ad_model'));
		if(!$this->session->userdata('userID')){redirect(base_url('admin/login'));}
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index($start=0)
	{
		$id = $this->session->userdata('pgallery_cat');
		$data['rows']=$this->pgallery_ad_model->get_posts_by_id($id,10,$start);
		$this->load->library('pagination');
		$config['base_url'] = base_url().'admin/manage_pgallery/index/';
		$config['total_rows'] = $this->pgallery_ad_model->get_posts_count();
		$config['per_page'] = 10;
		$config['attributes'] = array('class' => 'pagingButton');
		$config['uri_segment'] = 4;
		$this->pagination->initialize($config);
		$data['pages'] = $this->pagination->create_links();
		$data['pgallery_cat'] = $this->pgallery_ad_model->get_pgallery_cat($id);
		$this->load->view('admin/pgallery/manage',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function add()
	{
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/pgallery/add', $data);

		$pgallery_cat  = $this->session->userdata('pgallery_cat');
		if(isset($_POST['add_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();
			$uId = time();

			foreach($langs as $lang){

				$data=array(
					'uId' => $uId,
					'cat_id'=>$pgallery_cat,
					'title'=>$_POST['title-'.$lang["lang"]],
					'link'=>$_POST['link'],
					'image' =>$_POST['ImagePath'],
					'isactive'=>$_POST['isactive'],
					'lang' => $lang["langID"]
				);
				$this->pgallery_ad_model->insert($data);

			}
			
			redirect(base_url().'admin/manage_pgallery/');
		}

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function edit(){
		$uId = $this->uri->segment(4);
		$pgallery_cat  = $this->session->userdata('pgallery_cat');
		if(isset($_POST['edit_sbmt'])){

			$langs = $this->Combined_ad_model->view_lang();

			foreach($langs as $lang){

			$data=array(
				'cat_id'=>$pgallery_cat,
				'title'=>$_POST['title-'.$lang["lang"]],
				'link'=>$_POST['link'],
				'image' =>$_POST['ImagePath'],
				'isactive'=>$_POST['isactive'],
				'lang' => $lang["langID"]
			);
			$this->pgallery_ad_model->update($uId,$lang['langID'],$data);

			}

			redirect(base_url().'admin/manage_pgallery');
		}

		$data['rows']=$this->pgallery_ad_model->get_post($uId);
		$data['langs']=$this->Combined_ad_model->view_lang();
		$this->load->view('admin/pgallery/edit', $data);

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete(){
		$uId = $this->uri->segment(4);
		$this->pgallery_ad_model->delete($uId);
		redirect(base_url().'admin/manage_pgallery');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}