<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Main extends CI_Controller {

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function __construct(){
		parent::__construct();
		$this->load->model(array('main_view_model','popup_model','announce_ad_model'));
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function index(){		
		// check announces
		$data = $this->announce_ad_model->get_all_announces();
		// var_dump($data[0]->enddate);
		foreach ($data as  $value) {
			$this->announce_ad_model->check_announce($value->enddate, $value->uId);
		}
		// end checking
		$data['access']= $this;
		$data['sliderdata']=$this->main_view_model->view_slider();
		$data['news']=$this->main_view_model->view_news();
		$data['announce']=$this->main_view_model->view_announce();
		$data['schools']=$this->main_view_model->view_schools();
		$data['popup'] = $this->popup_model->get_popup_front();
		$data['mainBlocks']=$this->main_view_model->view_blocks();
		foreach ($data['mainBlocks'] as $value) {
			$data['mainBlocksPosts'][$value['uId']] = $this->main_view_model->view_blocks_posts($value['uId']);
		}
		$this->load->view('site/index',$data);

	}

	function hit_counter(){
		$hits  = $this->main_view_model->site_view_count();
		echo json_encode($hits);
	}

	function hit_add(){
		$this->main_view_model->site_view_add();
	}

	function get_social(){
		$social  = $this->main_view_model->view_social();
		echo json_encode($social);
	}
	function get_right_icons(){
		$right_icons =	$this->main_view_model->view_foot_icons();
		echo json_encode($right_icons);
	}
	function get_contact(){
		$contact = $this->main_view_model->view_foot_contact();
		echo json_encode($contact);
	}
	function get_register_button(){
		$register_button =	$this->main_view_model->view_register_button();
		echo json_encode($register_button);
	}
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function news(){
		$uId = $this->uri->segment(3);
		$data['news']=$this->main_view_model->view_news_except_current($uId);
		$data['newsdata']=$this->main_view_model->get_news($uId);
		$this->load->view('site/news',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function announce(){
		$data['access']= $this;
		$uId = $this->uri->segment(3);
		$data['news']=$this->main_view_model->view_announce_except_current($uId);
		$data['announcedata']=$this->main_view_model->get_announce($uId);
		$this->load->view('site/announce_content',$data);
	}

	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

	public function get_day($date){
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['day'] < 10){
			$show_date['day'] = '0'.$show_date['day'];
		}
		return $show_date['day'];
	}

	public function get_month($date){
		if($this->session->userdata('lang')==1) {
			$month_names= array("01"=>"იან", "02"=>"თებ", "03"=>"მარ", "04"=>"აპრ", "05"=>"მაი", "06"=>"ივნ", "07"=>"ივლ", "08"=>"აგვ", "09"=>"სექ", "10"=>"ოქტ", "11"=>"ნოე", "12"=>"დეკ");
		} else {
			$month_names= array("01"=>"Jan", "02"=>"Feb", "03"=>"Mar", "04"=>"Apr", "05"=>"May", "06"=>"June", "07"=>"July", "08"=>"Aug", "09"=>"Sept", "10"=>"Oct", "11"=>"Nov", "12"=>"Dec");
		}
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['month'] < 10){
			$show_date['month'] = '0'.$show_date['month'];
		}
		return $month_names[$show_date['month']];

	}
	
	public function get_month_full($date){
		if($this->session->userdata('lang')==1) {
			$month_names= array("01"=>"იანვარი", "02"=>"თებერვალი", "03"=>"მარტი", "04"=>"აპრილი", "05"=>"მაისი", "06"=>"ივნისი", "07"=>"ივლისი", "08"=>"აგვისტო", "09"=>"სექტემბერი", "10"=>"ოქტომბერი", "11"=>"ნოემბერი", "12"=>"დეკემბერი");	
		} else {
			$month_names= array("01"=>"January", "02"=>"February", "03"=>"March", "04"=>"April", "05"=>"May", "06"=>"June", "07"=>"July", "08"=>"August", "09"=>"September", "10"=>"October", "11"=>"November", "12"=>"December");
		}
		$show_date = DateTime::createFromFormat('d/m/Y', $date)->format('Y-m-d');
		$show_date = date_parse($show_date);
		if($show_date['month'] < 10){
			$show_date['month'] = '0'.$show_date['month'];
		}
		return $month_names[$show_date['month']];

	}
	
	//--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function change_lang($id){
		switch ($id) {
			case '2':
				$this->session->set_userdata('lang',$id);
				break;
			
			default:
				$this->session->set_userdata('lang',$id);
				break;
		}
		redirect($_SERVER['HTTP_REFERER']);
	}

}