<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Announce_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($num=15,$start=0){
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true;
		$query = $this->db->select("uId")->group_by("uId")->order_by("isactive","desc")->limit($num,$start)->get("announce");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('announce')->join('langs', 'langs.langID = announce.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('announce')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('announce')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('announce',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ) );
		$this->db->update('announce',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('announce');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function check_announce($checkdate,$uId){
		$today = date(time());
		// var_dump($today >= $checkdate);
		if($today >= $checkdate){
			$this->passive_announce($uId);
			// $this->active_announce($uId);
		}
		// else{
		// 	$this->passive_announce($uId);
		// }
	}

	private function active_announce($uId){
		$data = array('isactive' => 1 );
		$this->db->where('uId',$uId)->update('announce',$data);
	}

	private function passive_announce($uId){
		$data = array('isactive' => 0 );
		$this->db->where('uId',$uId)->update('announce',$data);
	}

	// ---------------------------------------------------------------------------
	function get_all_announces(){
		$query = $this->db->select('*')->where('isactive','1')->get('announce');
		return $query->result();
	}
}
