<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Main_view_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function site_view_add(){

		$this->db->set('hits', 'hits + 1', FALSE);
		$this->db->where('id', '1');
		$this->db->update('hitcounter');

	}

	function site_view_count(){

		$this->db->select('*');
		$this->db->from('hitcounter');
		$this->db->where(array('id' => '1'));
		$query = $this->db->get();
		return $query->first_row('array');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_register_form($id){

		$this->db->select('*');
		$this->db->from('register_forms');
		$this->db->where(array('id' => $id));
		$query = $this->db->get();
		return $query->first_row('array');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_register_button(){

		$this->db->select('*');
		$this->db->from('register_form_button');
		$this->db->where(array('id' => '1'));
		$query=$this->db->get();
		return $query->first_row('array');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_slider(){

		$this->db->select('*');
		$this->db->from('mainslider');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","desc");
		$this->db->limit('12');
		$query=$this->db->get();
		return $query->result_array();

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function get_calendar_news(){
		$query = $this->db->select("title,date,uId")->where('isactive',1)->where('lang',$this->session->userdata('lang'))->get('news');
		$data = $query->result_array();
		foreach ($data as $value) {
			$value['date'] = str_replace('/', '-', $value['date']);
			$value['date'] = date("Y-m-d", strtotime($value['date']));
			$value['url'] = base_url()."main/news/".$value['uId'];
			unset($value['uId']);			
			$changed[] = $value;
		}
		return $changed;
	}

	function get_calendar_school_news($id){
		$query = $this->db->select("title,date,uId")->like(array('school_id' => $id, 'isactive' => 1, 'lang' => $this->session->userdata('lang')))->get('news');
		$data = $query->result_array();
		foreach ($data as $value) {
			$value['date'] = str_replace('/', '-', $value['date']);
			$value['date'] = date("Y-m-d", strtotime($value['date']));
			$value['url'] = base_url()."school_news/index/".$value['uId']."/".$id;
			unset($value['uId']);			
			$changed[] = $value;
		}
		return $changed;
	}

	function view_news(){
		$this->db->select('*');
		$this->db->from('news');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit('3');
		$query=$this->db->get();
		return $query->result_array();
	}

	function view_news_except_current($except) {
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1', 'uId !=' => $except);
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$query = $this->db->where($where_arr)->limit(3)->get('news');

		return $query->result_array();
	}

	function view_all_news($num=3,$start=0){

		$this->db->select('*');
		$this->db->from('news');		
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();

	}

	function view_all_news_filtered($num=3,$start=0,$filter){	
		$this->db->select('*');
		$this->db->from('news');	
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','date'=>$filter));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();

	}

	function view_all_news_scfiltered($num=3,$start=0,$filter){	
		$school = $filter['school_id'];
		$institute = $filter['institute_id'];
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1');
		if($school)
			$where_arr['school_id'] = $school;
		if($institute)
			$where_arr['institute_id'] = $institute;
		$this->db->select('*');
		$this->db->from('news');	
		$this->db->where($where_arr);
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();

	}

	function view_all_news_schfiltered($num=3,$start=0,$filter){	
		$school = $filter['school_id'];
		$institute = $filter['institute_id'];
		$date = $filter['date'];
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1');
		if($school)
			$where_arr['school_id'] = $school;
		if($institute)
			$where_arr['institute_id'] = $institute;
		if($date)
			$where_arr['date'] = $date;
		$this->db->select('*');
		$this->db->from('news');	
		$this->db->where($where_arr);
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();

	}



	function view_all_news_catfiltered($num=3,$start=0,$filter){	
		$type = $filter['category'];		
		
		$this->db->select('*');
		$this->db->from('news');
		if(isset($filter['date'])){
			$date = $filter['date'];
			$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','type'=>$type));
			$this->db->like("date",$date,"both");
		}
		else{
			$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
			$this->db->like("date",$filter,"both");
		}
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true; 
		//$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();
	}

	function get_news_count(){
		$this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$query=$this->db->get();
		return $query->num_rows();
	}
	
	function get_scfiltered_news_count($filter){
		$school = $filter['school_id'];
		$institute = $filter['institute_id'];
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1');	
		if($school)
			$where_arr['school_id'] = $school;
		if($institute)
			$where_arr['institute_id'] = $institute;
		$this->db->select('uId')->from('news')->where($where_arr);
		$query=$this->db->get();
		return $query->num_rows();
	}

	function get_schfiltered_news_count($filter){
		$school = $filter['school_id'];
		$institute = $filter['institute_id'];
		$date = $filter['date'];
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1');
		if($school)
			$where_arr['school_id'] = $school;
		if($institute)
			$where_arr['institute_id'] = $institute;
		if($date)
			$where_arr['date'] = $date;
		$this->db->select('uId')->from('news')->where($where_arr);
		$query=$this->db->get();
		return $query->num_rows();
	}


	function get_filtered_news_count($filter){	
		$this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','date'=>$filter));
		$query=$this->db->get();
		return $query->num_rows();
	}

	function get_catfiltered_news_count($filter){	
		$type = $filter['category'];
		if(isset($filter['date'])){
			$date = $filter['date'];
			$this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','type'=>$type,'date'=>$date));
		}else{
			$this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','type'=>$type));
		}
		
		$query=$this->db->get();
		return $query->num_rows();
	}

	function view_news_cat(){
		$this->db->select('*');
		$this->db->from('news_cat');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","desc");
		$query = $this->db->get();
		return $query->result_array();
	}

	function get_news($uId){

		$this->db->from('news');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','uId'=>$uId));
		$query=$this->db->get();
		return $query->first_row('array');
	
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_announce_except_current($except) {
		$where_arr = array('lang'=>$this->session->userdata('lang'),'isactive'=>'1', 'uId !=' => $except);

		$query = $this->db->where($where_arr)->order_by("date","desc")->limit(3)->get('announce');

		return $query->result_array();
	}

	function view_announce(){
		$today = date(time()-(24*60*60));
		$this->db->select('*');
		$this->db->from('announce');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','enddate >= ' => $today));
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","asc");
		$this->db->_protect_identifiers=true; 
		$this->db->limit('4');
		$query=$this->db->get();
	
		return $query->result_array();

	}
	

	function get_announce($uId){
		$this->db->from('announce');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','uId'=>$uId));
		$query=$this->db->get();
		return $query->first_row('array');
	}



	function get_calendar_announce(){
		$today = date(time()-(24*60*60));
		$this->db->where('enddate >=',$today);
		$query = $this->db->select("title,date,uId")->where('isactive',1)->where('lang',$this->session->userdata('lang'))->get('announce');
		$data = $query->result_array();
		foreach ($data as $value) {
			$value['date'] = str_replace('/', '-', $value['date']);
			$value['date'] = date("Y-m-d", strtotime($value['date']));
			$value['url'] = base_url()."main/announce/".$value['uId'];
			unset($value['uId']);			
			$changed[] = $value;
		}
		return $changed;
	}

	function view_all_announce($num=4,$start=0){
		$this->db->select('*');
		$today = date(time()-(24*60*60));
		$this->db->from('announce');		
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','enddate >= ' => $today));
		$this->db->order_by("date","asc");
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();
	}

	function view_all_announce_filtered($num=4,$start=0,$filter){	
		$this->db->select('*');
		$today = date(time()-(24*60*60));
		$this->db->from('announce');	
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','date'=>$filter,'enddate >= ' => $today));
		$this->db->order_by("date","asc");
		$this->db->limit($num,$start);
		$query = $this->db->get();
		return $query->result_array();

	}

	function get_announce_count(){
		$this->db->select('uId')->from('announce')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$query=$this->db->get();
		return $query->num_rows();
	}

	function get_filtered_announce_count($filter){	
		$this->db->select('uId')->from('announce')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','date'=>$filter));
		$query=$this->db->get();
		return $query->num_rows();
	}
	
	function get_catfiltered_announce_count($filter){	
		$this->db->select('uId')->from('announce')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','type'=>$filter));
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_schools(){

		$this->db->select('*');
		$this->db->from('schools');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","asc");
		$query=$this->db->get();
		return $query->result_array();

	}

	function get_schools($uId){

		$this->db->from('schools');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','uId'=>$uId));
		$query=$this->db->get();
		return $query->first_row('array');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_institutes(){

		$this->db->select('*');
		$this->db->from('institutes');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		$query=$this->db->get();
		return $query->result_array();

	}

	function get_institutes($uId){

		$this->db->from('institutes');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','uId'=>$uId));
		$query=$this->db->get();
		return $query->first_row('array');

	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_blocks(){

		$this->db->select('*');
		$this->db->from('mainblocks');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("blocklevel","asc");
		$query=$this->db->get();
		return $query->result_array();

	}

	function view_blocks_posts($section_id){

		$this->db->select('*');
		$this->db->from('section');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','section_id'=>$section_id));
		$this->db->order_by("sectionlevel","asc");
		$this->db->limit(4);
		$query=$this->db->get();
		return $query->result_array();

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_social(){

		$this->db->select('*');
		$this->db->from('social_icons');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","asc");
		$query=$this->db->get();
		return $query->result_array();

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_foot_icons(){

		$this->db->select('*');
		$this->db->from('foot_right_icons');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","asc");
		$query=$this->db->get();
		return $query->result_array();

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_foot_contact(){

		$this->db->select('*');
		$this->db->from('contactinfo');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		$query=$this->db->get();
		return $query->result_array();

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_contact(){

		$this->db->select('*');
		$this->db->from('contactinfo');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		$query=$this->db->get();
		return $query->result_array();

	}

	function view_contact_list(){

		$this->db->select('*');
		$this->db->from('contactlist');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("level","asc");
		$query=$this->db->get();
		return $query->result_array();

	}

	function get_contact_list($uId){

		$this->db->from('contactlist');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','uId'=>$uId));
		$query=$this->db->get();
		return $query->first_row('array');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function view_p_gallery($num=0,$start=0){
		$data1 = $this->view_p_gallery_t($num, floor($start/2));
		$data2 = $this->view_news_gallery($num, floor($start/2));
		return array_merge($data1,$data2);
	}

	function view_news_gallery($num=0,$start=0){
		$this->db->select('id, isalbum, title,link,lang,uId,image');
		$this->db->from('news');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','isalbum'=>'1'));
		$this->db->order_by("uId","desc");
		// $this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();
	}

	function get_news_gallery_count() {
		$query = $this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','isalbum'=>'1'))->get();
		return $query->num_rows();
	}

	function view_p_gallery_t($num=3,$start=0){

		$this->db->select('*');
		$this->db->from('pgallery');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		// $this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}

	function view_p_gallery_filtered($num=3,$start=0,$filter){

		$this->db->select('*');
		$this->db->from('pgallery');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$this->db->order_by("uId","desc");
		// $this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}

	function get_p_gal_items_count(){
		$query = $this->db->select('uId')->from('pgallery')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'))->get();
		$data1 = $query->num_rows();
		$query2 = $this->db->select('uId')->from('news')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','isalbum'=>'1'))->get();
		$data2 = $query->num_rows();
		return $data1+$data2;
	}

	function get_p_gal_items_count_filtered($filter){
		$this->db->select('uId')->from('pgallery')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$query=$this->db->get();		
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_v_gallery($num=3,$start=0){

		$this->db->select('*');
		$this->db->from('vgallery');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		$this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}

	function view_v_gallery_filtered($num=3,$start=0,$filter){

		$this->db->select('*');
		$this->db->from('vgallery');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$this->db->order_by("uId","desc");
		$this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}

	function get_v_gal_items_count(){
		$this->db->select('uId')->from('vgallery')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$query=$this->db->get();
		return $query->num_rows();
	}

	function get_v_gal_items_count_filtered($filter){
		$this->db->select('uId')->from('vgallery')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function view_v_message($num=1,$start=0){

		$this->db->select('*');
		$this->db->from('vmessage');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$this->db->order_by("uId","desc");
		$this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}

	function view_v_message_filtered($num=1,$start=0,$filter){

		$this->db->select('*');
		$this->db->from('vmessage');
		$this->db->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$this->db->order_by("uId","desc");
		$this->db->limit($num,$start);
		$query=$this->db->get();
		return $query->result_array();

	}


	function get_v_message_items_count(){
		$this->db->select('uId')->from('vmessage')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1'));
		$query=$this->db->get();
		return $query->num_rows();
	}

	function get_v_message_items_count_filtered($filter){
		$this->db->select('uId')->from('vmessage')->where(array('lang'=>$this->session->userdata('lang'),'isactive'=>'1','cat_id'=>$filter));
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function get_menu_title($id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('title')->where('id',$id)->get('main_menu');
		}
		else{
			$query= $this->db->select('title_eng as title')->where('id',$id)->get('main_menu');
		}
		return $query->first_row('array');
	}

	function get_menu_content($id){
		if($this->session->userdata('lang')==1){
			$query= $this->db->select('content,isactive,right_content')->where('cat_id',$id)->get('main_menu_content');
		}else{
			$query= $this->db->select('content_eng as content,isactive,right_content_eng as right_content')->where('cat_id',$id)->get('main_menu_content');
		}
		return $query->first_row('array');
	}

	function get_access($id){
		$where_arr = array('cat_id' => $id);
		$query = $this->db->select('pedagog,administrator,office_manager,student')->where($where_arr)->get('main_menu_content');
		return $query->first_row();
	}
}