<?php defined('BASEPATH') OR exit('No direct script access allowed');

class News_ad_model extends CI_Model{
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	
	function get_posts_by_id($id, $num=100,$start=0){
		$this->db->_protect_identifiers=false; 
		$this->db->order_by("STR_TO_DATE(date,'%d/%m/%Y')","desc");
		$this->db->_protect_identifiers=true;
		$query = $this->db->select("uId")->group_by("uId")->limit($num,$start)->where("type",$id)->get("news");
		$uIds = $query->result_array();

		$query_count = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->where("type",$id)->get("news");
		$res_count = $query_count->num_rows();

		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('news')->join('langs', 'langs.langID = news.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}

		return array('items' => $res, 'count' => $res_count);
		// return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts($num=100,$start=0){
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->get("news");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('news')->join('langs', 'langs.langID = news.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('news')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('news')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_news_cat(){
		$this->db->select('*')->from('news_cat')->where("uId", $this->session->userdata('news_cat'));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('news',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('news',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('uId',$uId);
		$this->db->delete('news');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_news_by_place($id, $num=100,$start=0, $school_id = 0, $uni_id = 0) {
		$where_arr = array("type" => $id, "school_id" => $school_id, "institute_id" => $uni_id);
		$query = $this->db->select("uId")->group_by("uId")->order_by("uId","desc")->limit($num,$start)->like($where_arr)->get("news");
		$uIds = $query->result_array();

		$count_query = $this->db->select("uId")->group_by("uId")->where($where_arr)->get("news");
		$num_res = $count_query->num_rows();

		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('news')->join('langs', 'langs.langID = news.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}

		return array('items' => $res, 'count' => $num_res);
	}

}