<?php defined('BASEPATH') OR exit('No direct script access allowed');

class School_personal_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$where =  array('personal_prof' => $this->session->userdata('personal_prof') , 'school_id'=> $this->session->userdata('school_id'));
		$query = $this->db->select("uId")->group_by("uId")->where($where)->order_by("level","desc")->get("schools_personal");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools_personal')->join('langs', 'langs.langID = schools_personal.lang', 'left')->where(array('personal_prof' => $this->session->userdata('personal_prof') ,"uId"=>$uId["uId"]))->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('schools_personal')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('schools_personal',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('schools_personal',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('level',$uId);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->delete('schools_personal');
		$this->sort($uId);
	}

	
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$this->db->update('schools_personal');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->where('personal_prof',$this->session->userdata('personal_prof'));
		$query = $this->db->select_max('level')->get('schools_personal');
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}