<?php defined('BASEPATH') OR exit('No direct script access allowed');

class School_personal_prof_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","desc")->where('personal_cat',$this->session->userdata('personal_cat'))->where('school_id',$this->session->userdata('school_id'))->get("schools_personal_prof");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools_personal_prof')->where('school_id',$this->session->userdata('school_id'))->join('langs', 'langs.langID = schools_personal_prof.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('schools_personal_prof')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('schools_personal_prof')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('schools_personal_prof',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('schools_personal_prof',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('level',$uId);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->delete('schools_personal_prof');
		$this->sort($uId);
		$this->remove_r($uId);
	}

	private function remove_r($id){
		// $this->db->where('personal_cat',$id)->delete('schools_personal_prof');
		$this->db->where('personal_cat',$id)->delete('schools_personal');
	}


	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$this->db->update('schools_personal_prof');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$this->db->where('personal_cat',$this->session->userdata('personal_cat'));
		$query = $this->db->select_max('level')->get('schools_personal_prof');
		return $query->result_array();
	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}