<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Schools_sections_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->where('school_id',$this->session->userdata('school_id'))->group_by("uId")->order_by("blocklevel","asc")->get("schools_mainblocks");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('schools_mainblocks')->join('langs', 'langs.langID = schools_mainblocks.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('schools_mainblocks')->where(array('uId'=>$uId,'school_id'=>$this->session->userdata('school_id')));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('schools_mainblocks',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('schools_mainblocks',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------


	function delete($uId){
		$this->db->where('blocklevel',$uId);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->delete('schools_mainblocks');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel >', $level);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id-1);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-999', FALSE);
		$this->db->where('blocklevel', $id+999);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('blocklevel', 'blocklevel+1000', FALSE);
		$this->db->where('blocklevel', $id+1);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

		$this->db->set('blocklevel', 'blocklevel+1', FALSE);
		$this->db->where('blocklevel', $id);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

		$this->db->set('blocklevel', 'blocklevel-1001', FALSE);
		$this->db->where('blocklevel', $id+1001);
		$this->db->where('school_id',$this->session->userdata('school_id'));
		$this->db->update('schools_mainblocks');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->where('school_id',$this->session->userdata('school_id'))->select_max('blocklevel')->get('schools_mainblocks');
		return $query->result_array();
	}
}

