<?php defined('BASEPATH') OR exit('No direct script access allowed');

class Social_icons_ad_model extends CI_Model{

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts(){
		$query = $this->db->select("uId")->group_by("uId")->order_by("level","asc")->get("social_icons");
		$uIds = $query->result_array();
		$res = [];
		foreach ($uIds as $uId) {
			$query2 = $this->db->select("*")->from('social_icons')->join('langs', 'langs.langID = social_icons.lang', 'left')->where("uId",$uId["uId"])->get();
			$result = $query2->result_array();
			array_push($res, $result);
		}
		return $res;
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_posts_count(){
		$this->db->select('uId')->from('social_icons')->where('lang',1);
		$query=$this->db->get();
		return $query->num_rows();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_post($uId){
		$this->db->select('*')->from('social_icons')->where(array('uId'=>$uId));
		$query=$this->db->get();
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function insert($data){
		$this->db->insert('social_icons',$data);
		return $this->db->insert_id();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function update($uId,$lang,$data){
		$this->db->where( array('uId' => $uId , 'lang' => $lang ));
		$this->db->update('social_icons',$data);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function delete($uId){
		$this->db->where('level',$uId);
		$this->db->delete('social_icons');
		$this->sort($uId);
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort($level){
		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level >', $level);
		$this->db->update('social_icons');
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_up($id){

		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id-1);
		$this->db->update('social_icons');

		$this->db->set('level', 'level-1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('social_icons');

		$this->db->set('level', 'level-999', FALSE);
		$this->db->where('level', $id+999);
		$this->db->update('social_icons');

	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------
	function sort_down($id){
		$this->db->set('level', 'level+1000', FALSE);
		$this->db->where('level', $id+1);
		$this->db->update('social_icons');

		$this->db->set('level', 'level+1', FALSE);
		$this->db->where('level', $id);
		$this->db->update('social_icons');

		$this->db->set('level', 'level-1001', FALSE);
		$this->db->where('level', $id+1001);
		$this->db->update('social_icons');

	}
	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

	function get_level(){
		$query = $this->db->select_max('level')->get('social_icons');
		return $query->result_array();
	}

	//----------------------------------------------------------------------------------------------------------------------------------------------------------------------

}