<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add contact info</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_contact" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<form class="validateForm" action="<?=base_url()?>admin/manage_contact/add" method="post">

		<div class="form-group">
			<label class="inputLabel">phone</label><br/>
			<input type="text" class="input smallInput" name="phone"
					data-validation="length"
					data-validation-length="max50"
					data-validation-error-msg="Max 50 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">fax</label><br/>
			<input type="text" class="input smallInput" name="fax"
					data-validation="length"
					data-validation-length="max50"
					data-validation-error-msg="Max 50 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">E-Mail</label><br/>
			<input type="text" class="input smallInput" name="mail"
				data-validation="length"
						data-validation-length="max100"
					data-validation-error-msg="Max 100 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">link</label><br/>
			<input type="text" class="input smallInput" name="link" />
		</div>
		<div class="form-group">
			<label class="inputLabel">address on map</label><br/>

			<input id="geocomplete" class="input smallInput" type="text" name="onMap" placeholder="Type in an address" value="Georgia, Tbilisi" /><br/><br/>
			<input type="hidden" class="input smallInput" name="coordx" value="41.73340458018376">
			<input type="hidden" class="input smallInput" name="coordy" value="44.770660400390625">

			<div id="map">
				<div style="width: 300px; height: 250px; margin-bottom:10px;" class="map_canvas"></div>
			    <input id="find" type="hidden" value="find" />

				<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places"></script>
				<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>    
			    <script src="http://geolab.indygo.ge/assets/js/geocomplete.js"></script>
			    <script>
			    $(function(){
			        $("#geocomplete").geocomplete({
			          	map: ".map_canvas",
			          	details: "form",
			          	location: $("input[name=coordx]").val() + "," + $("input[name=coordy]").val(),
			          	mapOptions :{
				          	zoom: 16,
				          	scrollwheel: true
			        	},markerOptions:{
			            	draggable: true
			          	}
			        });
			        $("#geocomplete").bind("geocode:dragged", function(event, latLng){
			          $("input[name=coordx]").val(latLng.lat());
			          $("input[name=coordy]").val(latLng.lng());
			        });
				    $("#geocomplete").bind("geocode:click", function(event, latLng){
				        $("input[name=coordx]").val(latLng.lat());
				        $("input[name=coordy]").val(latLng.lng());
				    });
			        $("#find").click(function(){
			          $("#geocomplete").trigger("geocode");
			        }).click();
			    });
			    </script>
			</div>
		</div>

		<br/>
		<hr/>

		<?php foreach ($langs as $lang): ?>

			<div class="form-group">
				<label class="inputLabel">address - <?=$lang["lang"]?></label><br/>
				<input type="text" class="input smallInput" name="address-<?=$lang["lang"]?>"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>

			<br/>
			<hr/>
			<br/>

		<?php endforeach; ?>

		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" value="1" id="yes"
				data-validation="required"
				data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" value="0" id="no"
				data-validation="required"
				data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="add_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>
			
	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>