<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Edit record</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_contact" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<form class="validateForm" action="<?=base_url()?>admin/manage_contact/edit/<?=$rows[0]['uId']?>" method="post">
		
		<div class="form-group">
			<label class="inputLabel">phone</label><br/>
			<input type="text" class="input smallInput" name="phone" value="<?=$rows[0]['phone']?>" 
				data-validation="length"
					data-validation-length="max50"
					data-validation-error-msg="Max 50 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">fax</label><br/>
			<input type="text" class="input smallInput" name="fax" value="<?=$rows[0]['fax']?>" 
					data-validation="length"
					data-validation-length="max50"
					data-validation-error-msg="Max 50 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">E-Mail</label><br/>
			<input type="text" class="input smallInput" name="mail" value="<?=$rows[0]['mail']?>" 
				data-validation="length"
						data-validation-length="max100"
					data-validation-error-msg="Max 100 charachters" />
		</div>
		<div class="form-group">
			<label class="inputLabel">link</label><br/>
			<input type="text" class="input smallInput" name="link" value="<?=$rows[0]['link']?>" />
		</div>
		<div class="form-group">
			<label class="inputLabel">address on map</label><br/>

			<input id="geocomplete" class="input smallInput" type="text" name="onMap" placeholder="Type in an address" value="<?=$rows[0]['onMap']?>" /><br/><br/>
			<input type="hidden" class="input smallInput" name="coordx" value="<?=$rows[0]['coordx']?>" />
			<input type="hidden" class="input smallInput" name="coordy" value="<?=$rows[0]['coordy']?>" />

			<div id="map">
				<div style="width: 300px; height: 250px; margin-bottom:10px;" class="map_canvas"></div>
			    <input id="find" type="hidden" value="find" />
			</div>
		</div>

		<script src="http://maps.googleapis.com/maps/api/js?sensor=false&amp;libraries=places"></script>
		<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>    
	    <script src="http://geolab.indygo.ge/assets/js/geocomplete.js"></script>
	    <script>
	    $(function(){
	        $("#geocomplete").geocomplete({
	          	map: ".map_canvas",
	          	details: "form",
	          	location: $("input[name=coordx]").val() + "," + $("input[name=coordy]").val(),
	          	mapOptions :{
		          	zoom: 16,
		          	scrollwheel: true
	        	},markerOptions:{
	            	draggable: true
	          	}
	        });
	        $("#geocomplete").bind("geocode:dragged", function(event, latLng){
	          $("input[name=coordx]").val(latLng.lat());
	          $("input[name=coordy]").val(latLng.lng());
	        });
		    $("#geocomplete").bind("geocode:click", function(event, latLng){
		        $("input[name=coordx]").val(latLng.lat());
		        $("input[name=coordy]").val(latLng.lng());
		    });
	        $("#find").click(function(){
	          $("#geocomplete").trigger("geocode");
	        }).click();
	    });
		</script>

		<?php foreach ($rows as $row): ?>

			<div class="form-group">
				<label class="inputLabel">address - <?=$langs[$row['lang']-1]['lang']?></label><br/>
				<input type="text" class="input smallInput" name="address-<?=$langs[$row['lang']-1]['lang']?>" value="<?=$row['address']?>"
						data-validation="length"
						data-validation-length="max255"
						data-validation-error-msg="Max 255 charachters" />
			</div>

		<?php endforeach; ?>

		<div class="form-group">
		<label class="inputLabel">Active</label><br/>
			<input type="radio" name="isactive" id="yes" <?php if($row['isactive']=="1") echo "checked";?> value="1"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="yes" class="inputLabel">Yes</label>
			<input type="radio" name="isactive" id="no" <?php if($row['isactive']=="0") echo "checked";?> value="0"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no" class="inputLabel">No</label>
		</div>

		<button type="submit" class="button actionButton" name="edit_sbmt" onclick="return confirm('Sure to edit?');"><i class="fa fa-save"></i> Save Changes</button>

	</form>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>