<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleftinstitute.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add slider data</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_institute_slider" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<form class="validateForm" action="<?=base_url()?>admin/manage_institute_slider/addslide" method="post">

		<div class="form-group">
			<label class="inputLabel">Type</label><br/>
				<input type="radio" name="type" value="1" id="image"
					data-validation="required"
					data-validation-error-msg="Must choose one" checked />&nbsp;<label for="image" class="inputLabel">image</label>
				<input type="radio" name="type" value="2" id="video"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="video" class="inputLabel">video</label>
		</div>
		<div class="form-group">
			<label class="inputLabel">Select Image (1600x500)</label><br/>
	        <input id="xImagePath" class="input smallInput" name="ImagePath" type="text" />&nbsp;
			<input type="button" class="button" value="Browse Server" onclick="BrowseServer( 'Images:/', 'xImagePath' );" />
		</div>
		<div class="form-group">
			<label class="inputLabel">Link (blank:</label>
				<input type="radio" name="blank" value="1" id="blank" />&nbsp;<label for="blank" class="inputLabel">yes</label>
				<input type="radio" name="blank" value="2" id="noBlank" checked />&nbsp;<label for="noBlank" class="inputLabel">no)</label>
			<br/>
			<input type="text" id="link" class="input smallInput" name="link"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>
		<div class="form-group youtubeBox" style="display:none;">
			<label class="inputLabel">Youtube</label><br/>
			<input type="text" id="youtube" class="input smallInput" name="youtube"
					data-validation="length"
					data-validation-length="max255"
					data-validation-error-msg="Max 255 charachters" />
		</div>

		<br/>
		<hr/>
		<br/>

		<?php foreach ($langs as $lang): ?>

			<div class="form-group">
				<label class="inputLabel">title - <?=$lang["lang"]?></label><br/>
				<input type="text" class="input smallInput" name="title-<?=$lang["lang"]?>" />
			</div>
			<div class="form-group">
				<label class="inputLabel">Caption - <?=$lang["lang"]?></label><br/>
				<textarea class="input textAreaInput ckeditor" name="caption-<?=$lang["lang"]?>"></textarea>
			</div>
			<div class="form-group">
			<label class="inputLabel">Active - <?=$lang["lang"]?></label><br/>
				<input type="radio" name="isactive-<?=$lang["lang"]?>" value="1" id="yes-<?=$lang["lang"]?>"
					data-validation="required"
					data-validation-error-msg="Must choose one" checked />&nbsp;<label for="yes-<?=$lang["lang"]?>" class="inputLabel">Yes</label>
				<input type="radio" name="isactive-<?=$lang["lang"]?>" value="0" id="no"
					data-validation="required"
					data-validation-error-msg="Must choose one" />&nbsp;<label for="no-<?=$lang["lang"]?>" class="inputLabel">No</label>
			</div>

			<hr/>

		<?php endforeach; ?>
				
		<button type="submit" class="button actionButton" name="add_slider_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>

	</form>

<script>
$(document).ready(function(){

	$('#image,#video').click(function() {

   		if($('#video').is(':checked')){
   			$(".hideLink").css("display","none");
   			$(".youtubeBox").css("display","block");
   		}else{
   			$(".hideLink").css("display","block");
   			$(".youtubeBox").css("display","none");
   		}

	});

});
</script>
<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>