<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
	<link type="text/css" href="<?=base_url(); ?>assets/css/smoothness/jquery-ui-1.8.17.custom.css" rel="stylesheet" />	
	<script type="text/javascript" src="<?=base_url(); ?>assets/js/jquery-1.7.1.min.js"></script>
	<script type="text/javascript" src="<?=base_url(); ?>assets/js/jquery-ui-1.8.17.custom.min.js"></script>
	<script type="text/javascript" src="<?=base_url(); ?>assets/js/jquery.mjs.nestedSortable.js"></script>

<script>
$(document).ready(function() {
    var cat = "<?=$this->session->userdata('other_cat');?>";
    var name = $("#name");
    var name_eng = $("#name_eng");
    var bNested = false;
    refresh_menu();

    // Add button
    $("#addnew").button().click(function() {
        $("#dialog-form").dialog("open");
    });

    // Edit button
    $("#edit").button().click(function() {
        if (bNested == false) {
            bNested = true;
            $("span", this).text("edit: off");
        } else {
            bNested = false;
            $("span", this).text("edit: on");
        }
        refresh_menu();
    });

    // dialog form
    $("#dialog-form").dialog({
        autoOpen: false,
        height: 'auto',
        width: 350,
        modal: true,
        buttons: {
            "Add new section": function() {
                $.ajax({
                    url: "<?=base_url()?>admin/manage_other/ajax_addnew",
                    type: "POST",
                    data: ({
                        title: name.val(),
                        title_eng: name_eng.val()
                    }),
                    success: function(data) {
                        refresh_menu();
                    }
                });
                refresh_menu();
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        },
        close: function() {}
    });

    // Making nested 
    function makeNested() {
        $('ol.sortable').nestedSortable('destroy');
        $('ol.sortable').nestedSortable({
            disableNesting: 'no-nest',
            forcePlaceholderSize: true,
            handle: 'span.handle',
            helper: 'clone',
            items: 'li',
            maxLevels: 3,
            opacity: .6,
            placeholder: 'placeholder',
            revert: 250,
            tabSize: 25,
            tolerance: 'pointer',
            toleranceElement: '> div',

            update: function(event, ui) {
                var result = $('ol.sortable').nestedSortable('toArray');
                var item = ui.item;
                var moveto = "";
                var type = "";

                if ($(item).index() != 0) {
                    moveto = $(item).prev().attr("id");
                    type = 'addnext';
                } else {
                    moveto = ($($(item).parents().get(0)).attr("id") == "root") ? "1" : $($(item).parents().get(1)).attr("id");
                    type = 'appendfirst';
                }

                $.ajax({
                    url: "<?=base_url()?>admin/manage_other/ajax_sort",
                    type: "POST",
                    data: ({
                        item: $(item).attr("id").match(/[0-9]+/g)[0],
                        moveto: moveto.match(/[0-9]+/g)[0],
                        type: type
                    }),
                    success: function(data) {
                        refresh_menu();
                    }
                });
            }

        });
    }

    // getting Json and parsing menu..
    function refresh_menu() {
        $.ajax({
            url: "<?=base_url()?>admin/manage_other/get_json",
            type: "POST",
            data: ({
                title: $("#t_addnew").val()
            }),
            success: function(data) {
                var items = $.parseJSON(data);
                var k = 1,
                    c = items.length,
                    j, nestedhtml = '';
                $.each(items, function(i, item) { // 
                    if (item.depth == j) {
                        nestedhtml += '</li>';
                    } else if (parseInt(item.depth) > j) {
                        nestedhtml += '<ol>';
                    } else if (parseInt(item.depth) < j) {
                        nestedhtml += Array(Math.abs(parseInt(item.depth) - parseInt(j + 1))).join('</li></ol>') + "</li>";
                    } // class="ui-state-default"
                    var add = '<div class="addcustombutton"><i class="fa fa-plus"></i></div>';
                    nestedhtml += 
                    '<li id="item_' + item.id + '"><div class="cont">'+
                    '<span class="handle" ><a class="ui-icon ui-icon-grip-dotted-vertical" style="float:left;"></a></span>'+
                    '<a href="<?=base_url()?>admin/manage_other_content/index/'+item.id+'"><span class="item_title">' + item.title + '</span> / <span class="item_title_eng">' + item.title_eng + '</span> </a> <span class="lft" id="' + item.lft + '"></span><a class="menlink" target="blank" href="/other_content/index/'+item.id+'/'+cat+'"><i class="fa fa-external-link"></i></a>'+add+'</div>';
                    if (k == c) {
                        nestedhtml += Array(Math.abs(parseInt(item.depth) - 1)).join('</li></ol>') + "</li>"
                    };
                    k++;
                    j = parseInt(item.depth);
                });
                $('#root').html(nestedhtml);
                $("<div class='deletebutton'><i class='fa fa-trash-o'></i></div>").appendTo("#root.sortable li div.cont");
                $("<div class='editbutton'><i class='fa fa-edit'></i></div>").appendTo("#root.sortable li div.cont");

                $(".addcustombutton").hide();
                $(".deletebutton").hide();
                $(".editbutton").hide();

                if (bNested == false) {
                    $(".handle").attr("style", "display:none");
                } else {
                    $('#root.sortable li div').bind({
                       mouseenter: function() {                            
                            $(this).find(".addcustombutton").show();
                            $(this).find(".deletebutton").show();
                            $(this).find(".editbutton").show();
                        },
                        mouseleave: function() {
                            $(this).find(".addcustombutton").hide();
                            $(this).find(".deletebutton").hide();
                            $(this).find(".editbutton").hide();
                        },
                    });
                    makeNested();
                }

                $('.deletebutton').bind('click', function() {
                    if (confirm("Are you sure to delete this item ?") == true) {
                        $.ajax({
                            url: "<?=base_url()?>admin/manage_other/ajax_delete",
                            type: "POST",
                            data: ({
                                lft: $(this).parent().find("span.lft").attr("id")
                            }),
                            success: function(data) {
                                console.log(data);
                            }
                        });
                        refresh_menu();
                    }
                });

				$(".editbutton").button().click(function() {
				    $("#dialog-edit-form").dialog("open");
				    $("#menu_name_edit").val($(this).parent().find("span.item_title").html());
				    $("#menu_name_eng_edit").val($(this).parent().find("span.item_title_eng").html());
				    saxeli = $("#menu_name_edit");
				    saxeli_eng = $("#menu_name_eng_edit");
				    left = $(this).parent().find("span.lft").attr("id");
				});

                $("#dialog-edit-form").dialog({
			        autoOpen: false,
			        height: 'auto',
			        width: 350,
			        modal: true,
			        buttons: {
			            "Save Changes": function() {
			                $.ajax({
			                    url: "<?=base_url()?>admin/manage_other/ajax_edit",
			                    type: "POST",
			                    data: ({
			                        title: saxeli.val(),
			                        title_eng: saxeli_eng.val(),
			                        lft: left
			                    }),
			                    success: function(data) {
			                        refresh_menu();
			                    }
			                });
			                refresh_menu();
			                $(this).dialog("close");
			            },
			            Cancel: function() {
			                $(this).dialog("close");
			            }
			        },
			        close: function() {}
			    });

                // custom add
                $(".addcustombutton").button().click(function() {
                    $("#dialog-addcustom-form").dialog("open");                   
                    saxeli = $("#menu_name_addcustom");
                    saxeli_eng = $("#menu_name_eng_addcustom");
                    left = $(this).parent().find("span.lft").attr("id");
                });

                $("#dialog-addcustom-form").dialog({
                    autoOpen: false,
                    height: 'auto',
                    width: 350,
                    modal: true,
                    buttons: {
                        "Save Changes": function() {
                            $.ajax({
                                url: "<?=base_url()?>admin/manage_other/ajax_addcustom",
                                type: "POST",
                                data: ({
                                    title: saxeli.val(),
                                    title_eng: saxeli_eng.val(),
                                    lft: left
                                }),
                                success: function(data) {
                                    refresh_menu();
                                }
                            });
                            refresh_menu();
                            $(this).dialog("close");
                        },
                        Cancel: function() {
                            $(this).dialog("close");
                        }
                    },
                    close: function() {}
                });

            }
        });
    }

});
</script>

</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Manage top menu</h2>
	</div>
	
	<button id="edit" class="button">edit: on</button>
	<button id="addnew" class="button">add new item</button>

	<div style="width:480px;">
	  <ol class="sortable" id="root"></ol>
	</div>

    <div id="dialog-form" title="Create new section">
       	<p class="validateTips">All form fields are required.</p>
       	<form>
            <fieldset>
              	<label for="name" class="inputLabel">Title geo</label>
              	<input type="text" name="name" id="name" class="input text ui-corner-all" />
              	<label for="name" class="inputLabel">Title eng</label>
              	<input type="text" name="name_eng" id="name_eng" class="input text ui-corner-all" />
            </fieldset>
       	</form>
    </div>

    <div id="dialog-edit-form" title="Edit section">
       	<p class="validateTips">All form fields are required.</p>
       	<form>
            <fieldset>
              	<label for="name" class="inputLabel">Title geo</label>
              	<input type="text" name="name" id="menu_name_edit" class="input text ui-corner-all" />
              	<label for="name" class="inputLabel">Title eng</label><br/>
              	<input type="text" name="name_eng" id="menu_name_eng_edit" class="input text ui-corner-all" />
            </fieldset>
       	</form>
    </div>

    <div id="dialog-addcustom-form" title="add section">
        <p class="validateTips">All form fields are required.</p>
        <form>
            <fieldset>
                <label for="name" class="inputLabel">Title geo</label>
                <input type="text" name="name" id="menu_name_addcustom" class="input text ui-corner-all" />
                <label for="name" class="inputLabel">Title eng</label><br/>
                <input type="text" name="name_eng" id="menu_name_eng_addcustom" class="input text ui-corner-all" />
            </fieldset>
        </form>
    </div>

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>