<!DOCTYPE html>
<html>
<head>
	<?php $this->load->view('admin/blocks/head.php'); ?>
</head>
<body>
<?php $this->load->view('admin/blocks/asideleft.php'); ?>

	<div id="mainHeadingBox">
		<h2 class="mainHeading">Add seo data</h2>
	</div>
	<div class="headBox">
		<a class="linkButton" href="<?=base_url()?>admin/manage_seo" onclick="return confirm('Sure to leave without saving changes?');"><i class="fa fa-angle-double-left"></i> Go back without saving</a>
	</div>

	<div id="tabs_wrapper">
		<div id="tabs_container">
			<ul id="tabs">

				<?php foreach ($langs as $lang): ?>

				<li><a class="linkButton" href="#tab<?=$lang['langID']?>"><?=$lang['lang']?></a></li>

				<?php endforeach; ?>

			</ul>
		</div>

		<form class="validateForm" action="<?=base_url()?>admin/manage_seo/addpost" method="post">

			<div class="form-group">
				<label class="inputLabel">Page Link(Format: gruni.edu.ge/contact = site name/page name. this must be unique. you can't change this later)</label><br/>
				<input type="text" id="seoUniquePage" class="input smallInput" name="seo_page"
						data-validation="length"
						data-validation-length="2-150"
						data-validation-error-msg="Must be between 2-150 charachters" />
			</div>

			<div id="tabs_content_container">

				<?php foreach ($langs as $lang): ?>

				<div id="tab<?=$lang['langID']?>" class="tab_content">

					<div class="form-group">
						<label class="inputLabel">Title - <?=$lang["lang"]?></label><br/>
						<input type="text" class="input smallInput" name="seo_title-<?=$lang["lang"]?>"
								data-validation="length"
								data-validation-length="3-64"
								data-validation-error-msg="Must be between 3-64 charachters" />
					</div>
					<div class="form-group">
						<label class="inputLabel">Keywords - <?=$lang["lang"]?></label><br/>
						<textarea class="input textAreaInput" name="seo_keywords-<?=$lang["lang"]?>"
								data-validation="length"
								data-validation-length="max255"
								data-validation-error-msg="Max 255 charachters" ></textarea>
					</div>
					<div class="form-group">
						<label class="inputLabel">Description - <?=$lang["lang"]?></label><br/>
						<textarea class="input textAreaInput" name="seo_description-<?=$lang["lang"]?>"
								data-validation="length"
								data-validation-length="max150"
								data-validation-error-msg="Max 150 charachters" ></textarea>
					</div>

				</div>

				<?php endforeach; ?>

				<button type="submit" class="button actionButton" name="add_seo_sbmt" onclick="return confirm('Sure to add?');"><i class="fa fa-save"></i> Save</button>
			
			</div><!--tabs_content_container end-->
		</form>
	</div><!--tabs_wrapper end-->

<?php $this->load->view('admin/blocks/footer.php'); ?>
</body>
</html>