<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title><?=$announcedata['title']?></title>
	<meta property="og:title" content="<?=$announcedata['title']?>"/>
    <meta property="og:type" content="university"/>
    <meta property="og:image" content="<?=base_url()?>assets/img/grunilogo.png"/>
    <meta property="og:site_name" content="gruni.indygo.ge"/>
    <meta property="og:description" content="თანამედროვე განათლება - თანამედროვე უნივერსიტეტში"/>

    <link rel="stylesheet/less" type="text/css" href="<?=base_url()?>assets/calendar/calendar.css" />
    <script src="<?=base_url()?>assets/calendar/js/less.js" type="text/javascript"></script>
    <script src="<?=base_url()?>assets/calendar/js/underscore.js" type="text/javascript"></script>
    <script src="<?=base_url()?>assets/calendar/js/moment.js" type="text/javascript"></script>
    <script type="text/javascript">
    $(document).ready(function(){
      <?php if($this->session->userdata('lang') == 1 ){echo "moment.locale('ka');";} else{echo "moment.locale('en');";} ?>
       });
    </script>
    <script src="<?=base_url()?>assets/calendar/js/clndr.js" type="text/javascript"></script>

<script>
var clndr = {};

$( function() {
    
    $.ajax({
        url: config.base + "all_announce/get_calendar_announce",
        type: "POST",       
        dataType: "json",
        success: function(data) {
            var events = data;
            
            $('#mini-clndr').clndr({
            template: $('#mini-clndr-template').html(),
            events: events,
            clickEvents: {
              click: function(target) {
                if(target.events.length) {
                  var daysContainer = $('#mini-clndr').find('.days-container');
                  daysContainer.toggleClass('show-events', true);
                  $('#mini-clndr').find('.x-button').click( function() {
                    daysContainer.toggleClass('show-events', false);
                  });
                }
              }
            },
            adjacentDaysChangeMonth: true,
            forceSixRows: true
          });

        }
    });      
});
</script>

</head>
<body>
<?php $this->load->view("site/blocks/after_body.php"); ?>
<div class="overlay-back"></div>
<div id="wrapper">
<?php $this->load->view("site/blocks/header.php"); ?>
<div class="pageWrap">

	<ul class="breadcrump">
		<li>
            <a href="<?=base_url()?>main">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <a href="<?=base_url()?>all_announce">
                <?php if($this->session->userdata('lang')==1) { echo "ყველა ანონსი"; }else{ echo "All Announce"; } ?>
            </a>
        </li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
        	<?=$announcedata['title']?>
        </li>
	</ul>

	<div class="leftContent">
		<div id="newsText">
			<h1><?=$announcedata['title']?></h1>
			<time class="news-date"><?=$announcedata['date'] . " - " . $announcedata['time'];?></time>
			
            <div class="share-block"> 
                <span>
                    <div class="soc fb">
                        <i class="fa fa-facebook"></i>
                        <div class="fb-share-button" data-href="<?php echo $_SERVER['REQUEST_URI']; ?>" data-layout="icon"></div>
                    </div>
                </span>
                <span>
                    <div class="soc gp">
                        <i class="fa fa-google-plus"></i>
                        <a class="googlePshare" href="https://plus.google.com/share?url={<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>}" onclick="javascript:window.open(this.href,
                        '<?php echo $_SERVER["REQUEST_URI"]; ?>', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;">
                        <img src="https://www.gstatic.com/images/icons/gplus-32.png" alt="Share on Google+"/>
                        </a>
                    </div>
                </span>
                <span>
                    <div class="soc tw">
                        <a class="twitter popup" href="http://twitter.com/share"><i class="fa fa-twitter"></i></a>
                    </div>
                </span>
                <a id="printDiv">
                    <div class="soc pr">
                        <i class="fa fa-print"></i>
                    </div>
                </a>
                <a id="incfont">
                    <div class="soc pr">
                        <i class="fa fa-font"></i><span class="plus-minus">+</span>
                    </div>
                </a>
                <a id="decfont">
                    <div class="soc pr">
                        <i class="fa fa-font"></i><span class="plus-minus">-</span>
                    </div>
                </a>
            </div>
			<article id="print">
				<?=$announcedata['content']?>
                
                <br/>
                <br/>

                <div class="fb-comments" data-href="<?php echo $_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]; ?>" data-width="100%" data-numposts="5"></div>
			</article>
		</div>
	</div>

	<aside class="rightContent">
		<div>
			<a href="<?=base_url()?>all_announce">
                <?php if($this->session->userdata('lang')==1) { echo "ყველა ანონსი"; }else{ echo "All Announce"; } ?>
            </a>

			<?php foreach ($news as $row): ?>
			<figure class="searchResAnItem">
	            <a href="<?=base_url()?>main/announce/<?=$row['uId']?>">
	                <div class="searchResAnItemDate">
	                    <p style="font-size:16px;line-height:16px;">
	                    	<?php
                                if(strtotime(str_replace('/', '-', $row['date'])) < time() && time() < $row['enddate']){
                                    echo date('d',time());
                                }
                                else{
                                    echo $access->get_day($row['date']);
                                }
                            ?>
	                    </p>
	                    <p style="font-size:12px;">
	                    	<?php
                                if(strtotime(str_replace('/', '-', $row['date'])) < time() && time() < $row['enddate']){
                                    $curmonth = date('d/m/y');
                                    echo $access->get_month($curmonth);
                                }
                                else{
                                    echo $access->get_month($row['date']);
                                }
                            ?>
	                    </p>
	                </div>
	                <figcaption class="searchResAnItemFig">
	                    <?=$row['title']?>
	                </figcaption>
	            </a>
	            <div class="clear"></div>
	        </figure>
	        <?php endforeach; ?>

            <div class="clear"></div>

            <div id="mini-clndr" class="clear">
                <script id="mini-clndr-template" type="text/template">

                  <div class="controls">
                    <div class="clndr-previous-button">&lsaquo;</div><div class="month"><%= month %>&nbsp;<%= year %></div><div class="clndr-next-button">&rsaquo;</div>
                  </div>

                  <div class="days-container">
                    <div class="days">
                      <div class="headers">
                        <% _.each(daysOfTheWeek, function(day) { %><div class="day-header"><%= day %></div><% }); %>
                      </div>
                      <% _.each(days, function(day) { %><div class="<%= day.classes %>" id="<%= day.id %>"><%= day.day %></div><% }); %>
                    </div>
                    <div class="events">
                      <div class="headers">
                        <div class="x-button">x</div>
                        <div class="event-header">
                            <?php if($this->session->userdata('lang')==1) { echo "თვის ანონსები"; }else{ echo "Events Of This Month"; } ?>
                        </div>
                      </div>
                      <div class="events-list">
                        <% _.each(eventsThisMonth, function(event) { %>
                          <div class="event">
                            <a href="<%= event.url %>"><%= moment(event.date).format('D MMMM') %>: <%= event.title %></a>
                          </div>
                        <% }); %>
                      </div>
                    </div>
                  </div>

                </script>
            </div>

	    <div class="clear"></div>
	    </div>

	<div class="clear"></div>
	</aside>
<div class="clear"></div>
</div>

<script>

$(document).ready(function() {
	$('#incfont').click(function(){ 
	    curSize= parseInt($('#newsText article').css('font-size')) + 2;
	if(curSize<=20)
	    $('#newsText article').css('font-size', curSize);
	});  
	$('#decfont').click(function(){    
	    curSize= parseInt($('#newsText article').css('font-size')) - 2;
	if(curSize>=12)
	    $('#newsText article').css('font-size', curSize);
	}); 
});
</script>

<?php require("blocks/footer.php");?>
</body>
</html>