<!DOCTYPE html>
<html lang="en">
<head>
	<?php $this->load->view("site/blocks/head.php"); ?>
    <title>
        <?php if($this->session->userdata('lang')==1) { echo "ყველა სიახლე"; }else{ echo "All News"; } ?>
    </title>
    <link rel="stylesheet" type="text/css" href="<?=base_url()?>assets/css/animate.css">
    <link rel="stylesheet/less" type="text/css" href="<?=base_url()?>assets/calendar/calendar.css" />
    

<script>

$(document).ready(function() {
    <?php
    if($this->session->userdata('lang')==1) {
        echo "
            var month_names = {
                '1':'იანვარი', 
                '2':'თებერვალი', 
                '3':'მარტი', 
                '4':'აპრილი', 
                '5':'მაისი', 
                '6':'ივნისი', 
                '7':'ივლისი', 
                '8':'აგვისტო', 
                '9':'სექტემბერი', 
                '10':'ოქტომბერი', 
                '11':'ნოემბერი', 
                '12':'დეკემბერი'
            };
        ";

    } else {
        echo "
            var month_names = {
                '1':'January', 
                '2':'February', 
                '3':'March', 
                '4':'April', 
                '5':'May', 
                '6':'June', 
                '7':'July', 
                '8':'August', 
                '9':'September', 
                '10':'October', 
                '11':'November', 
                '12':'December'
            };
        ";
    }
    ?>
  

    for(var key in month_names) {
        var month = month_names[key];
        if(key < 10) {key = 0 + key} 
        $(".filterMonth").append("<option class='searchNewsMonth' value="+ key + ">" + month + "</option>");
    }

    for (var i = 1; i < 32; i++) {
        if(i < 10){ i = "0" + i }
        $("<option class='searchNewsDay'>" + i + "</option>").insertAfter(".searchNewsFilterFirstDay");
    };

    var thisYear = (new Date).getFullYear();

    for (var i = 2011; i <= thisYear; i++) {
        $("<option class='searchNewsYear'>" + i + "</option>").insertAfter(".searchNewsFilterFirstYear");
    };

        $( ".allNewsAchiveGrid:nth-child(3n+3)" ).addClass( "columnLast" );
    });

    $('.news p').ellipsis({ responsive: true });

    $(window).bind("load", function() {
        $('.allNewsAchiveGrid').addClass('animated fadeInUp');
    });
</script>
</head>
<body>
<div id="wrapper">
<?php $this->load->view("site/blocks/institutes_header.php"); ?>
<div class="overlay-back"></div>
<div class="pageWrap">

	<ul class="breadcrump">
		<li>
			<a href="<?=base_url()?>main">
                <?php if($this->session->userdata('lang')==1) { echo "მთავარი"; }else{ echo "Home"; } ?>
            </a>
		</li>
        <img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
        <li>
            <a href="<?=base_url()?>institute_menu_content/index/206/<?=$title['uId']?>">
                <?=$title['title']?>
            </a>
        </li>
		<img class="breadcrump-arrow" src="<?=base_url()?>assets/img/chevron-down.png">
		<li>
            <!-- <a href="<?=base_url()?>all_news"> -->
                <?php if($this->session->userdata('lang')==1) { echo "ყველა სიახლე"; }else{ echo "All News"; } ?>
            <!-- </a> -->
		</li>
	</ul>

	<div class="leftContent">

        <form class="searchNewsFilter" method="get">
            <div class="searchNewsFilterBox">
                <select name="day">
                    <option class="searchNewsFilterFirstDay" value="">
                        <?php if($this->session->userdata('lang')==1) { echo "რიცხვი"; }else{ echo "Date"; } ?>
                    </option>
                </select>
                <select name="month" class="filterMonth">
                    <option class="searchNewsFilterFirstMonth" value="">
                        <?php if($this->session->userdata('lang')==1) { echo "თვე"; }else{ echo "Month"; } ?>
                    </option>
                </select>
                <select name="year">
                    <option class="searchNewsFilterFirstYear" value="">
                        <?php if($this->session->userdata('lang')==1) { echo "წელი"; }else{ echo "Year"; } ?>
                    </option>
                </select>
                <?php
                    if($this->input->get('category')){ echo '<input type="hidden" value="'.$this->input->get('category').'" name="category">';}
                    if($this->input->get('school_id')){ echo '<input type="hidden" value="'.$this->input->get('school_id').'" name="school_id">';}
                    if($this->input->get('institute_id')){ echo '<input type="hidden" value="'.$this->input->get('institute_id').'" name="institute_id">';}
                ?>
                <button type="submit"><?php if($this->session->userdata('lang')==1) { echo "ფილტრი"; }else{ echo "Filter"; } ?></button>
            </div>
        </form>

		<div id="newsText">
            
            <div class="newsAchiveWrap">

                <?php foreach ($allNews as $row): ?>

                <figure class="allNewsAchiveGrid">
                    <a href="<?=base_url()?>main/news/<?=$row['uId']?>" class="newsBlockGridLink">
                        <img src="<?=base_url();?><?=$row['main_img']?>">
                        <figcaption class="newsBlockFig">
                            <?=$row['title']?>
                            <br>
                            <span class="newsBlockLeftDate"><?=$row['date']?></span>
                        </figcaption>
                    </a>
                </figure>

                <?php endforeach; ?>

            <div class="clear"></div>
            </div>

            <?php if ($pages) { ?>
            <div class="pagingBox">
                <?=$pages?>
            </div>
            <?php } ?>
    		
        </div>
	<div class="clear"></div>
	</div>
	<aside class="rightContent">

        <?php $this->load->view("site/blocks/institute_right_menu.php"); ?>
            <!-- <ul>
    			<li class="dropdown">
                    <a href="<?=base_url()?>all_news" data-toggle="dropdown">
                        <?php if($this->session->userdata('lang')==1) { echo "კატეგორიები"; }else{ echo "Categories"; } ?>
                        <i class="icon-arrow"><i class="fa fa-caret-down"></i></i>
                    </a>
                    <ul class="dropdown-menu show">
                        <?php foreach ($news_cat as $row): ?>
                        <li><a href="?category=<?=$row['uId']?>"><?=$row['name']?></a></li>
                        <?php endforeach; ?>
                    </ul>

                </li>
                <li class="dropdown">
                    <a href="#" data-toggle="dropdown">  
    	                <?php if($this->session->userdata('lang')==1) { echo "სკოლები"; }else{ echo "Schools"; } ?>
    	                <i class="icon-arrow"><i class="fa fa-caret-down"></i></i>
                    </a>
                    <ul class="dropdown-menu">
                        <?php foreach ($schools as $row): ?>
                        <li><a href="?school_id=<?=$row['uId']?>"><?=$row['title']?></a></li>
                        <?php endforeach; ?>
                    </ul>
                </li>           
                <li class="dropdown">
                    <a href="#" data-toggle="dropdown">  
    	                <?php if($this->session->userdata('lang')==1) { echo "ინსტიტუტები"; }else{ echo "Institutes"; } ?>
    	                <i class="icon-arrow"><i class="fa fa-caret-down"></i></i>
                    </a>
                    <ul class="dropdown-menu show">
                        <?php foreach ($institutes as $row): ?>
                        <li><a href="<?=base_url()?>institutes_all_news/index/<?=$row['uId']?>"><?=$row['title']?></a></li>
                        <?php endforeach; ?>
                    </ul>
                </li>     

            </ul> -->
	<div class="clear"></div>
	</aside>
<div class="clear"></div>
</div>

<script type="text/javascript">
function getJsonFromUrl() {
  var query = location.search.substr(1);
  var result = {};
  query.split("&").forEach(function(part) {
    var item = part.split("=");
    result[item[0]] = decodeURIComponent(item[1]);
  });
  return result;
}

$(document).ready(function(){
    var data = getJsonFromUrl();
    if(data.school_id != undefined){
        $(".show").removeClass('show');
        $($(".dropdown-menu")[1]).addClass('show');
    }
    if(data.institute_id != undefined){
        $(".show").removeClass('show');
        $($(".dropdown-menu")[2]).addClass('show');
    }
    for(var i = 0; i < $('.searchNewsDay').length; i++){
        if( $('.searchNewsDay')[i].text == data['day']){
            $($('.searchNewsDay')[i]).attr('selected',true);
        }
    }
    for(var i = 0; i < $('.searchNewsMonth').length; i++){
        if( $('.searchNewsMonth')[i].value == data['month']){
            $($('.searchNewsMonth')[i]).attr('selected',true);
        }
    }
    for(var i = 0; i < $('.searchNewsYear').length; i++){
        if( $('.searchNewsYear')[i].text == data['year']){
            $($('.searchNewsYear')[i]).attr('selected',true);
        }
    }
});

$(window).load(function(){
    var first = $("#right_menu .dropdown:first");
    var sec = $("#right_menu .dropdown:nth(1)");

    first.insertAfter(sec);
});

</script>

<?php require("blocks/footer.php");?>
</body>
</html>